Loading...
Searching...
No Matches
gx_gui Namespace Reference

## Classes

class | WaitCursor
class | SelectJackControlPgm
class | UiVSwitchWithCaption
class | GxVBox
class | GxHBox
class | GxHFrame
class | GxPaintBox
class | GxMainBox
class | GxNotebookBox
class | CpBase
class | CpBaseCaption
class | CpMasterCaption
class | CpBaseCaptionBoxed
class | UiRegler
class | UiReglerWithCaption
class | UiMasterReglerWithCaption
class | UiDisplayWithCaption
class | UiSelectorWithCaption
class | WidgetStack
class | StackBoxBuilder
class | GxBuilder
| class GxBuilder More...
class | UiBuilderImpl

## Functions

gint | gx_nchoice_dialog_without_entry (const char *window_title, const char *msg, const guint nchoice, const char *label[], const gint resp[], const gint default_response, Glib::RefPtr< Gdk::Pixbuf > gw_ib)
int | gx_message_popup (const char *)
void | show_error_msg (const string &msg)
void | child_set_property (Gtk::Container &container, Gtk::Widget &child, const char *property_name, bool value)
Glib::ustring | logarithmic_format_value (double v, int prec)
int | logarithmic_input_value (gpointer obj, gpointer nv)
bool | gx_start_jack_dialog (Glib::RefPtr< Gdk::Pixbuf > gw_ib)
bool | button_press_cb (GdkEventButton *event, gx_engine::GxMachineBase &machine, const std::string &id)
int | precision (double n)
std::string | fformat (float value, float step)
void | check_id (Gtk::Widget *w, const std::string &id, gx_engine::GxMachineBase &machine)
void | connect_midi_controller (Gtk::Widget *w, const std::string &id, gx_engine::GxMachineBase &machine)
gx_engine::Parameter * | check_get_parameter (gx_engine::GxMachineBase &machine, const std::string &id, Gtk::Widget *w)
gx_engine::FloatParameter * | check_get_float_parameter (gx_engine::GxMachineBase &machine, const std::string &id, Gtk::Widget *w)
bool | ui_connect_switch (gx_engine::GxMachineBase &machine, Gtk::ToggleButton *b, const string &id, sigc::signal< void(bool)> *out_ctr, bool disable)
bool | ui_connect (gx_engine::GxMachineBase &machine, Gtk::Widget *w, const std::string &id, sigc::signal< void(bool)> *out_ctr)
GtkWidget * | load_toplevel (GtkBuilder *builder, const char *filename, const char *windowname)

## Function Documentation

## button_press_cb()

bool gx_gui::button_press_cb | ( | GdkEventButton * | event,
|  | gx_engine::GxMachineBase & | machine,
|  | const std::string & | id )

Referenced by connect_midi_controller().

## check_get_float_parameter()

gx_engine::FloatParameter * gx_gui::check_get_float_parameter | ( | gx_engine::GxMachineBase & | machine,
|  | const std::string & | id,
|  | Gtk::Widget * | w )

## check_get_parameter()

gx_engine::Parameter * gx_gui::check_get_parameter | ( | gx_engine::GxMachineBase & | machine,
|  | const std::string & | id,
|  | Gtk::Widget * | w )

## check_id()

void gx_gui::check_id | ( | Gtk::Widget * | w,
|  | const std::string & | id,
|  | gx_engine::GxMachineBase & | machine )

inline

Definition at line 177 of file gx_main_interface.h.

Referenced by connect_midi_controller().

## child_set_property()

void gx_gui::child_set_property | ( | Gtk::Container & | container,
|  | Gtk::Widget & | child,
|  | const char * | property_name,
|  | bool | value )

## connect_midi_controller()

void gx_gui::connect_midi_controller | ( | Gtk::Widget * | w,
|  | const std::string & | id,
|  | gx_engine::GxMachineBase & | machine )

inline

Definition at line 190 of file gx_main_interface.h.

## fformat()

std::string gx_gui::fformat | ( | float | value,
|  | float | step )

## gx_message_popup()

int gx_gui::gx_message_popup | ( | const char * |  | ) |

## gx_nchoice_dialog_without_entry()

gint gx_gui::gx_nchoice_dialog_without_entry | ( | const char * | window_title,
|  | const char * | msg,
|  | const guint | nchoice,
|  | const char * | label[],
|  | const gint | resp[],
|  | const gint | default_response,
|  | Glib::RefPtr< Gdk::Pixbuf > | gw_ib )

## gx_start_jack_dialog()

bool gx_gui::gx_start_jack_dialog | ( | Glib::RefPtr< Gdk::Pixbuf > | gw_ib | ) |

## load_toplevel()

GtkWidget * gx_gui::load_toplevel | ( | GtkBuilder * | builder,
|  | const char * | filename,
|  | const char * | windowname )

## logarithmic_format_value()

Glib::ustring gx_gui::logarithmic_format_value | ( | double | v,
|  | int | prec )

## logarithmic_input_value()

int gx_gui::logarithmic_input_value | ( | gpointer | obj,
|  | gpointer | nv )

## precision()

int gx_gui::precision | ( | double | n | ) |

## show_error_msg()

void gx_gui::show_error_msg | ( | const string & | msg | ) |

## ui_connect()

bool gx_gui::ui_connect | ( | gx_engine::GxMachineBase & | machine,
|  | Gtk::Widget * | w,
|  | const std::string & | id,
|  | sigc::signal< void(bool)> * | out_ctr )

## ui_connect_switch()

bool gx_gui::ui_connect_switch | ( | gx_engine::GxMachineBase & | machine,
|  | Gtk::ToggleButton * | b,
|  | const string & | id,
|  | sigc::signal< void(bool)> * | out_ctr,
|  | bool | disable )